# ArtifactResolutionResult

interface ArtifactResolutionResult

The result of executing an artifact resolution query.

#### Since

2.0

## Functions

getComponents
Link copied to clipboard
abstract fun getComponents(): Set<ComponentResult>
Return a set of ComponentResult instances representing all requested components.
getResolvedComponents
Link copied to clipboard
abstract fun getResolvedComponents(): Set<ComponentArtifactsResult>
Return a set of ComponentResult instances representing all successfully resolved components.